Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Time_Service_Server Class Reference

TimeService Object Implementation. More...

`#include <TAO_Time_Service_Server.h>`

List of all members.

## Public Methods
| TAO_Time_Service_Server (void)
| Constructor.
| ~TAO_Time_Service_Server (void)
| Destructor.

## Detailed Description

TimeService Object Implementation.

The Object implementation implements methods to retrieve current time as well as secure current time. The times are retrieved as UTOs. The object also allows creation of a TIO for a given time interval. In general, the TimeService manages the UTOs and the TIOs. The notion of time returned here is the local time of the system.

## Constructor & Destructor Documentation

TAO_Time_Service_Server::TAO_Time_Service_Server | ( | void |  | ) |

| Constructor.

TAO_Time_Service_Server::~TAO_Time_Service_Server | ( | void |  | ) |

| Destructor.

The documentation for this class was generated from the following files:

- TAO_Time_Service_Server.h
- TAO_Time_Service_Server.cpp